# wallctl

## About

Wallctl is a program that is originally inspired by [4k-wallpaper-downloader](https://github.com/hosseinmirhosseini76/random-4k-image-downloader).
The project is also available on [pypi](https://pypi.org/project/wallctl).

## Installation

1. Clone the repository
```bash
git clone --depth 1 https://github.com/JoshAU-04/wallctl
cd wallctl
```

2. Install locally
```bash
pip install .
```

Alternatively, for development purposes:
```bash
pip install -e .
```

### Pipx

For MacOS and Linux users, install the project directly with pipx:
```bash
pipx install wallctl
```

## Usage


### Show available commands

```bash
wallctl --help
```

### Download a random wallpaper

```bash
wallctl random
```

### Download a wallpaper by category

```bash
wallctl category --category <category>
```

### Download a wallpaper to a specific directory

```bash
wallctl random --path <directory>
```

## License

This project is licensed under the GNU GPL (v2). Refer to the `LICENSE` file
for the full license.
